{atsu}

API: weather.gov:national-weather-service-api
Endpoint: /aviation/sigmets/{atsu}
Response format: application/geo+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 601ms

Description

Returns a list of SIGMET/AIRMETs for the specified ATSU

Parameters (1)

atsu (?, path, required)

ATSU identifier

Examples (3)

SIGMETs for Oakland Center curl
curl 'https://api.weather.gov/aviation/sigmets/KZOA' \
  -H 'User-Agent: (example.com, contact@example.com)'
import requests

resp = requests.get(
    "https://api.weather.gov/aviation/sigmets/KZOA",
    headers={
        'User-Agent': '(example.com, contact@example.com)',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("aviation/sigmets/{atsu}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/aviation/sigmets/KZOA", {
  headers: {
    "User-Agent": "(example.com, contact@example.com)",
  },
});
const data = await resp.json();
SIGMETs for New York Center curl
curl 'https://api.weather.gov/aviation/sigmets/KZNY' \
  -H 'User-Agent: (example.com, contact@example.com)'
import requests

resp = requests.get(
    "https://api.weather.gov/aviation/sigmets/KZNY",
    headers={
        'User-Agent': '(example.com, contact@example.com)',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("aviation/sigmets/{atsu}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/aviation/sigmets/KZNY", {
  headers: {
    "User-Agent": "(example.com, contact@example.com)",
  },
});
const data = await resp.json();
SIGMETs for Miami Center curl
curl 'https://api.weather.gov/aviation/sigmets/KZMA' \
  -H 'User-Agent: (example.com, contact@example.com)'
import requests

resp = requests.get(
    "https://api.weather.gov/aviation/sigmets/KZMA",
    headers={
        'User-Agent': '(example.com, contact@example.com)',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("aviation/sigmets/{atsu}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/aviation/sigmets/KZMA", {
  headers: {
    "User-Agent": "(example.com, contact@example.com)",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:02:11.344894 200 601ms
2026-04-04 03:09:45.727591 200 803ms
2026-04-04 02:49:17.569264 200 434ms
2026-04-03 14:53:27.162776 200 408ms
2026-04-03 12:56:10.840835 200 388ms
2026-04-03 12:31:44.712937 200 402ms
2026-03-30 02:47:25.433224 200 380ms
2026-03-30 02:26:04.202692 200 279ms
2026-03-30 02:23:35.480946 200 274ms
2026-03-29 13:47:44.610076 200 274ms
2026-03-29 13:29:58.465429 200 321ms
2026-03-29 13:18:30.696747 200 363ms
2026-03-23 10:09:30.868976 200 313ms
2026-03-22 21:43:33.203985 200 1341ms
2026-03-22 21:16:50.470800 200 390ms